Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class GenericTimeStampType

    java.lang.Object
      org.etsi.uri._01903.v1_3.GenericTimeStampType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OtherTimeStamp, XAdESTimeStampType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public abstract class GenericTimeStampType

extends Object
implements Serializable

Java class for GenericTimeStampType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericTimeStampType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice minOccurs="0">
               <element ref="{http://uri.etsi.org/01903/v1.3.2#}Include" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://uri.etsi.org/01903/v1.3.2#}ReferenceInfo" maxOccurs="unbounded"/>
             </choice>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}CanonicalizationMethod" minOccurs="0"/>
             <choice maxOccurs="unbounded">
               <element name="EncapsulatedTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}EncapsulatedPKIDataType"/>
               <element name="XMLTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}AnyType"/>
             </choice>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GenericTimeStampType()`

Method Summary
`CanonicalizationMethod` | `getCanonicalizationMethod()` Gets the value of the canonicalizationMethod property.
`List<Serializable>` | `getEncapsulatedTimeStampsAndXMLTimeStamps()` Gets the value of the encapsulatedTimeStampsAndXMLTimeStamps property.
`String` | `getId()` Gets the value of the id property.
`List<Include>` | `getIncludes()` Gets the value of the includes property.
`List<ReferenceInfo>` | `getReferenceInfos()` Gets the value of the referenceInfos property.
`void` | `setCanonicalizationMethod(CanonicalizationMethod value)` Sets the value of the canonicalizationMethod property.
`void` | `setId(String value)` Sets the value of the id property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericTimeStampType

    public GenericTimeStampType()

Method Detail

### getReferenceInfos

    public List<ReferenceInfo> getReferenceInfos()

  Gets the value of the referenceInfos property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the referenceInfos property.

  For example, to add a new item, do as follows:

          getReferenceInfos().add(newItem);

  Objects of the following type(s) are allowed in the list `ReferenceInfo`

### getIncludes

    public List<Include> getIncludes()

  Gets the value of the includes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the includes property.

  For example, to add a new item, do as follows:

          getIncludes().add(newItem);

  Objects of the following type(s) are allowed in the list `Include`

### getCanonicalizationMethod

    public CanonicalizationMethod getCanonicalizationMethod()

  Gets the value of the canonicalizationMethod property.

  Returns:
    possible object is `CanonicalizationMethod`

### setCanonicalizationMethod

    public void setCanonicalizationMethod(CanonicalizationMethod value)

  Sets the value of the canonicalizationMethod property.

  Parameters:
    `value` - allowed object is `CanonicalizationMethod`

### getEncapsulatedTimeStampsAndXMLTimeStamps

    public List<Serializable> getEncapsulatedTimeStampsAndXMLTimeStamps()

  Gets the value of the encapsulatedTimeStampsAndXMLTimeStamps property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the encapsulatedTimeStampsAndXMLTimeStamps property.

  For example, to add a new item, do as follows:

          getEncapsulatedTimeStampsAndXMLTimeStamps().add(newItem);

  Objects of the following type(s) are allowed in the list `EncapsulatedPKIData` `Any`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.